### Enumeration

# Snapd MaintenanceKind

since: 1.45

#### Declaration

    enum Snapd.MaintenanceKind

#### Description [src]

Type of snap.

Available since: 1.45

#### Members

`SNAPD_MAINTENANCE_KIND_UNKNOWN`

  An unknown maintenance kind is occurring.

  - Value: `0`
  - Available since: 1.45
`SNAPD_MAINTENANCE_KIND_DAEMON_RESTART`

  The daemon is restarting.

  - Value: `1`
  - Available since: 1.45
`SNAPD_MAINTENANCE_KIND_SYSTEM_RESTART`

  The system is restarting.

  - Value: `2`
  - Available since: 1.45